I suggest you ...

Please update composer on server

Composer auto update not working on new server deployment. Please fix this.

2 votes
Sign in
(thinking…)
Password icon
Signed in as (Sign out)

We’ll send you updates on this idea

Anonymous shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →
completed  ·  AdminCloudways (Admin, Cloudways) responded  · 

Thanks for the information, issue had been identified (minor glitch with some of the servers) and resolved, new servers will now have latest version of composer.

Cloudways Team

2 comments

Sign in
(thinking…)
Password icon
Signed in as (Sign out)
Submitting...
  • Yuzhana Ego commented  ·   ·  Flag as inappropriate

    Whenever I setup a new server with PHP 7.2 enabled, that's what I get:

    composer -V
    Warning: This development build of composer is over 30 days old. It is recommended to update it by running "/usr/local/bin/composer self-update" to get the latest version.
    Composer version 1.0-dev (1d8f05f1dd0e390f253f79ea86cd505178360019) 2015-02-11 11:31:57

    Of course, it's unusable with PHP 7.2 so I have to contact support each time to upgrade composer.

  • AdminCloudways (Admin, Cloudways) commented  ·   ·  Flag as inappropriate

    Installed binary of composer resides in one of the system folder, and users doesn't have write permission to folders as such. However we have an automated process in place which applies the upgrades bi-weekly, this includes upgrades of the composer as well.

    To ensure the integrity of the process, we have verified few of the systems, and it seems those systems have latest version of composer available.

    If your assigned server is running version older than 1.7.2, please raise a ticket with our support, so that we can investigate the matter further.

    Cloudways Team

Feedback and Knowledge Base